Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookCoupon usage in bookings
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:27:42.573Z"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
200A list of coupon uses with the selected columns
206Partial Content
GET /coupon_usescurl -X GET "https://api.bookingmood.com/v1/coupon_uses?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<CouponUse> | Array<Partial<CouponUse>>201The newly created coupon uses with the selected columns
POST /coupon_usescurl -X POST "https://api.bookingmood.com/v1/coupon_uses" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
204The deleted coupon uses with the selected columns
DELETE /coupon_usescurl -X DELETE "https://api.bookingmood.com/v1/coupon_uses" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Partial<CouponUse>204The updated coupon uses with the selected columns
PATCH /coupon_usescurl -X PATCH "https://api.bookingmood.com/v1/coupon_uses" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'